#
# addgithub.awk, 21 Aug 16

# .Power law (red) and exponential (blue) fits to feature macro usage ...
# [caption="Figure ", label=2015_sosym]
# <<echo=FALSE,results=hide,label=2015_sosym,fig=TRUE,align="center">>=
# source("ESEUR/regression/2015_sosym/2015_sosym.R")
# @

BEGIN {
	line_cnt=0
	src_addr="https://github.com/Derek-Jones/ESEUR-code-data/blob/master/"
	}

	{
        line_cnt=1+int(line_cnt % 5)
        lines[line_cnt]=$0
	prev_line=cur_line
	cur_line=$0
# print line_cnt " " $0
	}

$1 == "@" {
	split(prev_line, file_str, "\"")
	if (file_str[1] == "source(")
	   {
	   cap_line=1+int(line_cnt % 5)
# strip leading ESEUR/
	   lines[cap_line]=lines[cap_line] " " src_addr substr(file_str[2], 7) "[code]"
	   }
	}

	{
	last_line=1+int(line_cnt % 5)
	print lines[last_line]
	next
	}

END {
	last_line=line_cnt+1
	for (l=1; l <=4; l++)
	   {
	   last_line=1+int(last_line % 5)
	   print lines[last_line]
	   }
	}

