#
# mergedraft.sh, 16 Nov 18

Rwords=`pwd`

echo "= Evidence-based Software Engineering: based on the publicly available data"
echo ":author: Derek M. Jones"
echo "`date`"
echo ":toc:"
echo ":numbered:"
echo ":sectanchors:"
echo ":doctype: book"
echo ":leveloffset: 1"
echo ""

cat \
"$Rwords"/introduction.txt \
"$Rwords"/developers.txt \
"$Rwords"/economics.txt \
"$Rwords"/ecosystems.txt \
"$Rwords"/projects.txt \
"$Rwords"/reliability.txt \
"$Rwords"/sourcecode.txt \
"$Rwords"/communicating.txt \
"$Rwords"/probability.txt \
"$Rwords"/statistics.txt \
"$Rwords"/regression.txt \
"$Rwords"/time-series.txt \
"$Rwords"/survival.txt \
"$Rwords"/circular.txt \
"$Rwords"/machine-learn.txt \
"$Rwords"/experiment.txt \
"$Rwords"/data.txt \
"$Rwords"/rlang.txt


